# a new code editor was leaked by a unknown devops engineer at breakingrain cybersecurity security?
> this is a public explanation of the leaked editor
---
A new code editor was leaked recently and some members of the dusk and rain community were 
excited to know what the code editor was about... the code editor currently has no name other than
it's project name "calico cake", calico cake is a emacs configuration based on the CIDER project 
it is for internal use only so won't ever be released publicly atleast while it's in use by D&R studios
---
### conclusion
I hope this cleared things up, we will make a post in the future when ever we plan to open source the editor
of course if we ever choose to open source the editor, we probably will but no promises.